-- Test quote_status_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to numerus, public;

select has_table('quote_status_i18n');
select has_pk('quote_status_i18n' );
select col_is_pk('quote_status_i18n', array['quote_status', 'lang_tag']);
select table_privs_are('quote_status_i18n', 'guest', array []::text[]);
select table_privs_are('quote_status_i18n', 'invoicer', array ['SELECT']);
select table_privs_are('quote_status_i18n', 'admin', array ['SELECT']);
select table_privs_are('quote_status_i18n', 'authenticator', array []::text[]);

select has_column('quote_status_i18n', 'quote_status');
select col_is_fk('quote_status_i18n', 'quote_status');
select fk_ok('quote_status_i18n', 'quote_status', 'quote_status', 'quote_status');
select col_type_is('quote_status_i18n', 'quote_status', 'text');
select col_not_null('quote_status_i18n', 'quote_status');
select col_hasnt_default('quote_status_i18n', 'quote_status');

select has_column('quote_status_i18n', 'lang_tag');
select col_is_fk('quote_status_i18n', 'lang_tag');
select fk_ok('quote_status_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('quote_status_i18n', 'lang_tag', 'text');
select col_not_null('quote_status_i18n', 'lang_tag');
select col_hasnt_default('quote_status_i18n', 'lang_tag');

select has_column('quote_status_i18n', 'name');
select col_type_is('quote_status_i18n', 'name', 'text');
select col_not_null('quote_status_i18n', 'name');
select col_hasnt_default('quote_status_i18n', 'name');


select *
from finish();

rollback;

